Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class InputEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ComponentEvent
                        |
                        +--java.awt.event.InputEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  KeyEvent, MouseEvent

public abstract class InputEvent
extends ComponentEvent

The root event class for all component-level input events. Input events are delivered to listeners before they are processed normally by the source where they originated. This allows listeners and component subclasses to "consume" the event so that the source will not process them in their default manner. For example, consuming mousePressed events on a Button component will prevent the Button from being activated.

Since:
  1.1
See Also:
  `KeyEvent`, `KeyAdapter`, `MouseEvent`, `MouseAdapter`, `MouseMotionAdapter`, Serialized Form

Field Summary
`static int` | `ALT_GRAPH_MASK` The alt-graph key modifier constant.
`static int` | `ALT_MASK` The alt key modifier constant.
`static int` | `BUTTON1_MASK` The mouse button1 modifier constant.
`static int` | `BUTTON2_MASK` The mouse button2 modifier constant.
`static int` | `BUTTON3_MASK` The mouse button3 modifier constant.
`static int` | `CTRL_MASK` The control key modifier constant.
`static int` | `META_MASK` The meta key modifier constant.
`static int` | `SHIFT_MASK` The shift key modifier constant.

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`void` | `consume()` Consumes this event so that it will not be processed in the default manner by the source which originated it.
`int` | `getModifiers()` Returns the modifiers flag for this event.
`long` | `getWhen()` Returns the timestamp of when this event occurred.
`boolean` | `isAltDown()` Returns whether or not the Alt modifier is down on this event.
`boolean` | `isAltGraphDown()` Returns whether or not the Alt-Graph modifier is down on this event.
`boolean` | `isConsumed()` Returns whether or not this event has been consumed.
`boolean` | `isControlDown()` Returns whether or not the Control modifier is down on this event.
`boolean` | `isMetaDown()` Returns whether or not the Meta modifier is down on this event.
`boolean` | `isShiftDown()` Returns whether or not the Shift modifier is down on this event.

Methods inherited from class java.awt.event.ComponentEvent
`getComponent, paramString`

Methods inherited from class java.awt.AWTEvent
`finalize, getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHIFT_MASK

    public static final int SHIFT_MASK

  The shift key modifier constant.

### CTRL_MASK

    public static final int CTRL_MASK

  The control key modifier constant.

### META_MASK

    public static final int META_MASK

  The meta key modifier constant.

### ALT_MASK

    public static final int ALT_MASK

  The alt key modifier constant.

### ALT_GRAPH_MASK

    public static final int ALT_GRAPH_MASK

  The alt-graph key modifier constant.

### BUTTON1_MASK

    public static final int BUTTON1_MASK

  The mouse button1 modifier constant.

### BUTTON2_MASK

    public static final int BUTTON2_MASK

  The mouse button2 modifier constant.

### BUTTON3_MASK

    public static final int BUTTON3_MASK

  The mouse button3 modifier constant.

Method Detail

### isShiftDown

    public boolean isShiftDown()

  Returns whether or not the Shift modifier is down on this event.

### isControlDown

    public boolean isControlDown()

  Returns whether or not the Control modifier is down on this event.

### isMetaDown

    public boolean isMetaDown()

  Returns whether or not the Meta modifier is down on this event.

### isAltDown

    public boolean isAltDown()

  Returns whether or not the Alt modifier is down on this event.

### isAltGraphDown

    public boolean isAltGraphDown()

  Returns whether or not the Alt-Graph modifier is down on this event.

### getWhen

    public long getWhen()

  Returns the timestamp of when this event occurred.

### getModifiers

    public int getModifiers()

  Returns the modifiers flag for this event.

### consume

    public void consume()

  Consumes this event so that it will not be processed in the default manner by the source which originated it.
  Overrides:
    `consume` in class `AWTEvent`

### isConsumed

    public boolean isConsumed()

  Returns whether or not this event has been consumed.
  Overrides:
    `isConsumed` in class `AWTEvent`
  See Also:
    `consume()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.